/*
* This CSS aims to describe user page rules
*/

[data-component="user-page"] .user-info, [data-component="user-page"] .calendar-preferences{
    padding: 0.5rem 2rem 1rem 2rem;
    background-color: rgba(255,255,255,0.9);
    box-shadow: 0px 10px 20px 0px rgba(1, 1, 1, 0.6);
    height: auto;
    margin-bottom: 2rem;
}

[data-component="user-page"] .calendars-accordion .accordion-title {
    font-size: 1rem;
    cursor: auto;
}

[data-component="user-page"] .calendars-accordion .accordion-title.calendar-error {
    background-color: rgba(230, 21, 21, 0.2);;
}


[data-component="user-page"] .calendars-accordion .accordion-title .calendar-url {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-variant: normal !important;
    color: #6b79b8 !important;
    font-style: italic;
    padding-left: 0px;
}

[data-component="user-page"] .calendars-accordion .accordion-title.calendar-error .calendar-url {
    color: red !important;
}

[data-component="user-page"] .calendars-accordion .calendar-actions .fa {
    margin-left: 0.3rem;
}

[data-component="user-page"] .calendars-accordion .calendar-actions .fa.calendar-error {
    color: red;
}

[data-component="user-page"] .calendars-accordion .calendar-form-row .calendar-actions {
    height: 2.5rem;
}

[data-component="user-page"] .calendars-accordion .calendar-form-row,
[data-component="user-page"] .calendars-accordion .accordion-title {
    overflow: auto;
}

[data-component="user-page"] [data-form^="preferences_form"] label {
    display: block;
}

[data-component="user-page"] [data-form^="preferences_form"] label span {
    display: inline-block;
}

[data-component="user-page"] [data-form^="preferences_form"],
[data-component="user-page"] [data-form^="calendar_form"] {
    width: 83.33333%;
    max-width: none;
    margin: 0 0;
}
[data-component="user-page"] [data-form^="calendar_form"] label:not([data-field-path="color"]) {
    padding-top: 0.75rem;
}

[data-component="user-page"] [data-form^="calendar_form"] [data-action] {
    cursor: pointer;
}

[data-component="user-page"] [data-form^="calendar_form"] input[name="url"] {
    font-variant-caps: normal;
}

[data-component="user-page"] [data-form^="calendar_form"] input[type="color"] {
    width: 50px;
    float: left;
    margin-right: 1rem;
}
[data-component="user-page"] [data-form^="calendar_form"] label[data-field-path="color"] span{
    vertical-align: text-top;
    display: inline-block;
    height: 2rem;
}

[data-component="user-page"] [data-form^="calendar_form"] label[data-field-path="color"] [data-constraint] {
    display: none;
}

[data-component="user-page"] .view-my-calendars-container {
    position:relative;
}

[data-component="user-page"] .view-my-calendars-container .view-my-calendars-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(250,250,250,0.5);
    z-index: 10;
    display: none;
    padding-top: 30%;
}
[data-component="user-page"] p{
    margin-bottom:1rem;
}

.calendar-list {
    margin-bottom: 1rem;
}
.calendar-list .label {
    font-size: 1rem;
}
.calendar-list .label.warning {
    font-size: 1rem;
    color: #263548;
}
.calendar-list .calendar-actions .button.disabled, .button[disabled] {
    opacity: 1;
    cursor: pointer;
}
.calendar-list li.calendar-form-row{
    background-color: #dedede;
}

.calendar-list .calendar-name {
    word-break: break-word;
}

.calendars-accordion li .accordion-title {
    color: #6b79b8;
}
.calendars-accordion.moment li .accordion-title{
    background-color: #ffdf96;
}
.calendars-accordion.moment li .accordion-title .fa-square,
.calendars-accordion.moment li .accordion-title .fa-square:hover,
.calendars-accordion.moment li .accordion-title .fa-square:focus {
    color: #ff8d00;
}
#calendar{
    padding: 0.5rem;
    border: 1px solid #304c6f;
    border-radius: 3px;
}
.user-info label {
    display: inline-block;
    color: #6b79b8;
    font-weight:bold;
    text-align: left;
    font-variant:small-caps;
}


/* max-width 640px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 40em) {
    [data-component="user-page"] [data-form^="calendar_form"] {
        width: 100%;
    }
    [data-component="user-page"] .user-info, [data-component="user-page"] .calendar-preferences{
        padding: 0.5rem 0 1rem 0;
    }
    .fc-button{
        font-size: 0.85em;
    }
    .fc-button .fc-icon {
        font-size: 1em;
    }
    .fc-button {
        padding:0.25em 0.15em 0.15em 0.15em;
    }
    .fc-toolbar h2 {
        font-size: 1.2em;
        margin: 0;
    }
    .fc-toolbar > * > :not(:first-child) {
        margin-left: 0.15em;
    }
    .fc table {
         font-size: 0.85em;
     }
    .fc-toolbar.fc-header-toolbar {
        margin-bottom: 1em;
    }

}

